Error in configuring an interpreter using WSL 1

Answered

Hi,

I am trying to configure an interpreter by following the steps in this link

https://www.jetbrains.com/help/pycharm/using-wsl-as-a-remote-interpreter.html

However, when I try to add an interpreter I get the following message

When I click, install packaging tools then I get this error,

I tried to manually install the packaging tools from the settings menu but I still get these errors. I would really appreciate it if you could help me out. 

2 comments
Comment actions Permalink

Hi,

That's a known issue https://youtrack.jetbrains.com/issue/PY-43654, please upvote and feel free to add comments.

As a workaround, install it manually from the CMD with sudo apt install python3-pip

1
Comment actions Permalink

Thanks this has helped. Along with installing python3-pip, I had to change the interpreter path from /usr/bin/python to /usr/bin/python3 then it worked. 

0

Please sign in to leave a comment.